Change PHP allocation settings for a premium staging environment
curl --request POST \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/change-environment-php-allocation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"thread_count": 2,
"thread_memory": 256
}
'import requests
url = "https://api.kinsta.com/v2/sites/environments/{env_id}/change-environment-php-allocation"
payload = {
"thread_count": 2,
"thread_memory": 256
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({thread_count: 2, thread_memory: 256})
};
fetch('https://api.kinsta.com/v2/sites/environments/{env_id}/change-environment-php-allocation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operation_id": "environments:change-environment-php-allocation-54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"message": "Environment PHP allocation change in progress",
"status": 202
}{
"message": "Bad request format",
"status": 400,
"data": "<unknown>"
}{
"message": "No or invalid API key provided to the request",
"status": 401,
"data": "<unknown>"
}{
"message": "Error occurred while processing your request",
"status": 500,
"data": "<unknown>"
}WordPress Site Environments
Change PHP allocation settings for a premium staging environment
POST
/
sites
/
environments
/
{env_id}
/
change-environment-php-allocation
Change PHP allocation settings for a premium staging environment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Response
Environment PHP allocation change action started. Check MyKinsta for status
⌘I